Index: cpukit/libgnat/ada_intrsupp.c
===================================================================
--- cpukit/libgnat/ada_intrsupp.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/libgnat/ada_intrsupp.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -14,5 +14,5 @@
     &semaphore
   );
-  if ( status != RTEMS_SUCCESSFUL ) 
+  if ( status != RTEMS_SUCCESSFUL )
     printk( "__gnat_binary_semaphore_create failed %d\n", status );
 
@@ -34,5 +34,5 @@
 
   status = rtems_semaphore_delete( semaphore );
-  if ( status != RTEMS_SUCCESSFUL ) 
+  if ( status != RTEMS_SUCCESSFUL )
     printk( "__gnat_binary_semaphore_delete failed %d\n", status );
 
@@ -51,5 +51,5 @@
 
   status = rtems_semaphore_obtain( semaphore, RTEMS_WAIT, RTEMS_NO_TIMEOUT );
-  if ( status != RTEMS_SUCCESSFUL ) 
+  if ( status != RTEMS_SUCCESSFUL )
     printk( "__gnat_binary_semaphore_obtain failed %d\n", status );
 
@@ -68,5 +68,5 @@
 
   status = rtems_semaphore_release( semaphore );
-  if ( status != RTEMS_SUCCESSFUL ) 
+  if ( status != RTEMS_SUCCESSFUL )
     printk( "__gnat_binary_semaphore_release failed %d\n", status );
 
@@ -83,5 +83,5 @@
 
   status = rtems_semaphore_flush( semaphore );
-  if ( status != RTEMS_SUCCESSFUL ) 
+  if ( status != RTEMS_SUCCESSFUL )
     printk( "__gnat_binary_semaphore_flush failed %d\n", status );
 
Index: cpukit/libnetworking/lib/tftpDriver.c
===================================================================
--- cpukit/libnetworking/lib/tftpDriver.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/libnetworking/lib/tftpDriver.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -201,5 +201,5 @@
    */
 
-  temp_mt_entry->pathconf_limits_and_options = rtems_tftp_limits_and_options; 
+  temp_mt_entry->pathconf_limits_and_options = rtems_tftp_limits_and_options;
 
 
@@ -209,5 +209,5 @@
    *  NOTE:  This could be in an fsinfo for this filesystem type.
    */
-  
+
   sc = rtems_semaphore_create (
     rtems_build_name('T', 'F', 'T', 'P'),
@@ -223,5 +223,5 @@
 
   if (sc != RTEMS_SUCCESSFUL)
-    rtems_set_errno_and_return_minus_one( ENOMEM ); 
+    rtems_set_errno_and_return_minus_one( ENOMEM );
 
   return 0;
@@ -232,5 +232,5 @@
  */
 
-int rtems_bsdnet_initialize_tftp_filesystem (void) 
+int rtems_bsdnet_initialize_tftp_filesystem (void)
 {
     int                                   status;
@@ -239,7 +239,7 @@
     status = mkdir( TFTP_PATHNAME_PREFIX, S_IRWXU | S_IRWXG | S_IRWXO );
     if ( status == -1 )
-        return status; 
-
-    status = mount( 
+        return status;
+
+    status = mount(
             &entry,
             &rtems_tftp_ops,
@@ -299,5 +299,5 @@
     msg.errorCode = htons (5);
     len = sizeof msg.opcode + sizeof msg.errorCode + 1;
-    len += sprintf (msg.errorMessage, "GO AWAY"); 
+    len += sprintf (msg.errorMessage, "GO AWAY");
 
     /*
@@ -341,5 +341,5 @@
                 tp->farAddress.sin_port = from.i.sin_port;
             }
-            if (tp->farAddress.sin_port == from.i.sin_port) 
+            if (tp->farAddress.sin_port == from.i.sin_port)
                 break;
         }
@@ -424,7 +424,7 @@
    const char                        **name __attribute__((unused))        /* OUT    */
 )
-{  
+{
   pathloc->node_access = NULL;
-  rtems_set_errno_and_return_minus_one( EIO );    
+  rtems_set_errno_and_return_minus_one( EIO );
 }
 
@@ -483,5 +483,5 @@
 }
 
-static int rtems_tftp_eval_path(  
+static int rtems_tftp_eval_path(
   const char                        *pathname,     /* IN     */
   int                                pathnamelen,  /* IN     */		
@@ -499,5 +499,5 @@
         int isRelative = (pathloc->node_access != ROOT_NODE_ACCESS);
         char *cp;
-        
+
         /*
          * Reject attempts to open() directories
@@ -582,9 +582,9 @@
      * Extract file pathname component
      */
-    while (*cp2 == '/') 
+    while (*cp2 == '/')
         cp2++;
     if (strcmp (cp2, "BOOTP_FILE") == 0) {
         cp2 = rtems_bsdnet_bootp_boot_file_name;
-        while (*cp2 == '/') 
+        while (*cp2 == '/')
             cp2++;
     }
@@ -593,5 +593,5 @@
     remoteFilename = cp2;
     if (strlen (remoteFilename) > (TFTP_BUFSIZE - 10))
-        return ENOENT;        
+        return ENOENT;
 
     /*
@@ -691,5 +691,5 @@
          * Send the request
          */
-        if (sendto (tp->socket, (char *)&tp->pkbuf, len, 0, 
+        if (sendto (tp->socket, (char *)&tp->pkbuf, len, 0,
                     (struct sockaddr *)&tp->farAddress,
                     sizeof tp->farAddress) < 0) {
@@ -877,5 +877,5 @@
             printf ("TFTP: SEND %d (%d)\n", tp->blocknum, tp->nused);
 #endif
-        if (sendto (tp->socket, (char *)&tp->pkbuf, wlen, 0, 
+        if (sendto (tp->socket, (char *)&tp->pkbuf, wlen, 0,
                                         (struct sockaddr *)&tp->farAddress,
                                         sizeof tp->farAddress) < 0)
@@ -1030,17 +1030,17 @@
     NULL,                            /* readlin */
 };
-  
+
 rtems_filesystem_file_handlers_r rtems_tftp_handlers = {
-    rtems_tftp_open,   /* open */     
-    rtems_tftp_close,  /* close */    
-    rtems_tftp_read,   /* read */     
-    rtems_tftp_write,  /* write */    
-    NULL,              /* ioctl */    
-    NULL,              /* lseek */    
-    NULL,              /* fstat */    
-    NULL,              /* fchmod */   
+    rtems_tftp_open,   /* open */
+    rtems_tftp_close,  /* close */
+    rtems_tftp_read,   /* read */
+    rtems_tftp_write,  /* write */
+    NULL,              /* ioctl */
+    NULL,              /* lseek */
+    NULL,              /* fstat */
+    NULL,              /* fchmod */
     rtems_tftp_ftruncate, /* ftruncate */
     NULL,              /* fpathconf */
-    NULL,              /* fsync */    
+    NULL,              /* fsync */
     NULL,              /* fdatasync */
     NULL,              /* fcntl */
Index: cpukit/posix/include/rtems/posix/barrier.h
===================================================================
--- cpukit/posix/include/rtems/posix/barrier.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/barrier.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -71,5 +71,5 @@
  *  @param[in] the_barrier_status is the SuperCore status.
  *
- *  @return the corresponding POSIX status 
+ *  @return the corresponding POSIX status
  */
 int _POSIX_Barrier_Translate_core_barrier_return_code(
Index: cpukit/posix/include/rtems/posix/cancel.h
===================================================================
--- cpukit/posix/include/rtems/posix/cancel.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/cancel.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -50,5 +50,5 @@
  *  @brief _POSIX_Thread_Evaluate_cancellation_and_enable_dispatch
  *
- *  This routine separates a piece of code that existed as part of 
+ *  This routine separates a piece of code that existed as part of
  *  another routine, but had to be separated to improve coverage.
  *
Index: cpukit/posix/include/rtems/posix/mqueue.h
===================================================================
--- cpukit/posix/include/rtems/posix/mqueue.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/mqueue.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -5,5 +5,5 @@
  *  POSIX Message Queues.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2008.
Index: cpukit/posix/include/rtems/posix/priority.h
===================================================================
--- cpukit/posix/include/rtems/posix/priority.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/priority.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -68,5 +68,5 @@
  *
  *  @return This method returns the corresponding SuperCore priority.
- */ 
+ */
 RTEMS_INLINE_ROUTINE Priority_Control _POSIX_Priority_To_core(
   int priority
@@ -82,5 +82,5 @@
  *
  *  @return This method returns the corresponding POSIX priority.
- */ 
+ */
 RTEMS_INLINE_ROUTINE int _POSIX_Priority_From_core(
   Priority_Control priority
Index: cpukit/posix/include/rtems/posix/pthread.h
===================================================================
--- cpukit/posix/include/rtems/posix/pthread.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/pthread.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -47,5 +47,5 @@
  *  When the user configures a set of POSIX API initialization threads,
  *  This variable will point to the method used to initialize them.
- *  
+ *
  *  @note It is instantiated and initialized by confdefs.h based upon
  *        application requirements.
@@ -96,5 +96,5 @@
  *  @param[in] location points to the returned location value
  *
- *  @return This methods returns a pointer to the corresponding Thread_Control. 
+ *  @return This methods returns a pointer to the corresponding Thread_Control.
  */
 RTEMS_INLINE_ROUTINE Thread_Control *_POSIX_Threads_Get(
Index: cpukit/posix/include/rtems/posix/rwlock.h
===================================================================
--- cpukit/posix/include/rtems/posix/rwlock.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/rwlock.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -71,5 +71,5 @@
  *  @param[in] the_RWLock_status is the SuperCore status.
  *
- *  @return the corresponding POSIX status 
+ *  @return the corresponding POSIX status
  */
 int _POSIX_RWLock_Translate_core_RWLock_return_code(
Index: cpukit/posix/include/rtems/posix/spinlock.h
===================================================================
--- cpukit/posix/include/rtems/posix/spinlock.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/spinlock.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -71,5 +71,5 @@
  *  @param[in] the_spinlock_status is the SuperCore status.
  *
- *  @return the corresponding POSIX status 
+ *  @return the corresponding POSIX status
  */
 int _POSIX_Spinlock_Translate_core_spinlock_return_code(
Index: cpukit/posix/include/rtems/posix/time.h
===================================================================
--- cpukit/posix/include/rtems/posix/time.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/time.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -49,5 +49,5 @@
  *  @return This method returns the number of ticks in @a ticks_out
  *          and a status value indicating whether the absolute time
- *          is valid, in the past, equal to the current time or in 
+ *          is valid, in the past, equal to the current time or in
  *          the future as it should be.
  */
Index: cpukit/posix/include/rtems/posix/timer.h
===================================================================
--- cpukit/posix/include/rtems/posix/timer.h	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/include/rtems/posix/timer.h	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -26,5 +26,5 @@
 /* Timer is free */
 #define POSIX_TIMER_STATE_FREE        0x01
-                                                                
+
 /* Created timer but not running          */
 #define POSIX_TIMER_STATE_CREATE_NEW  0x02
Index: cpukit/posix/src/canceleval.c
===================================================================
--- cpukit/posix/src/canceleval.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/canceleval.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -35,4 +35,4 @@
   } else
     _Thread_Enable_dispatch();
-  
+
 }
Index: cpukit/posix/src/cleanuppush.c
===================================================================
--- cpukit/posix/src/cleanuppush.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/cleanuppush.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -42,5 +42,5 @@
   /*
    *  The POSIX standard does not address what to do when the routine
-   *  is NULL.  It also does not address what happens when we cannot 
+   *  is NULL.  It also does not address what happens when we cannot
    *  allocate memory or anything else bad happens.
    */
Index: cpukit/posix/src/clockgetres.c
===================================================================
--- cpukit/posix/src/clockgetres.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/clockgetres.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -54,5 +54,5 @@
         res->tv_sec = rtems_configuration_get_microseconds_per_tick() /
             TOD_MICROSECONDS_PER_SECOND;
-        res->tv_nsec = rtems_configuration_get_nanoseconds_per_tick(); 
+        res->tv_nsec = rtems_configuration_get_nanoseconds_per_tick();
       }
       break;
Index: cpukit/posix/src/clockgettime.c
===================================================================
--- cpukit/posix/src/clockgettime.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/clockgettime.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -59,5 +59,5 @@
     rtems_set_errno_and_return_minus_one( ENOSYS );
 #endif
-  
+
   rtems_set_errno_and_return_minus_one( EINVAL );
 
Index: cpukit/posix/src/condget.c
===================================================================
--- cpukit/posix/src/condget.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/condget.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -58,3 +58,3 @@
   );
 }
- 
+
Index: cpukit/posix/src/keycreate.c
===================================================================
--- cpukit/posix/src/keycreate.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/keycreate.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -73,5 +73,5 @@
             INTERNAL_ERROR_IMPLEMENTATION_KEY_CREATE_INCONSISTENCY
           );
-      #endif 
+      #endif
       bytes_to_allocate = sizeof( void * ) *
         (_Objects_Information_table[ the_api ][ 1 ]->maximum + 1);
Index: cpukit/posix/src/killinfo.c
===================================================================
--- cpukit/posix/src/killinfo.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/killinfo.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -146,5 +146,5 @@
 
     #if defined(DEBUG_SIGNAL_PROCESSING)
-      printk( "Waiting Thread=%p option=0x%08x mask=0x%08x blocked=0x%08x\n", 
+      printk( "Waiting Thread=%p option=0x%08x mask=0x%08x blocked=0x%08x\n",
         the_thread, the_thread->Wait.option, mask, api->signals_blocked);
     #endif
@@ -213,6 +213,6 @@
       #if defined(DEBUG_SIGNAL_PROCESSING)
         printk("\n 0x%08x/0x%08x %d/%d 0x%08x 1",
-          the_thread->Object.id, 
-          ((interested) ? interested->Object.id : 0), 
+          the_thread->Object.id,
+          ((interested) ? interested->Object.id : 0),
           the_thread->current_priority, interested_priority,
           the_thread->current_state
@@ -274,5 +274,5 @@
           continue;
         }
- 
+
         DEBUG_STEP("6");
         /* prefer blocked/interruptible over blocked/not interruptible */
Index: cpukit/posix/src/mprotect.c
===================================================================
--- cpukit/posix/src/mprotect.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/mprotect.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -24,5 +24,5 @@
  *  return 0.
  *
- *  As of gcc 4.2.2, the gcc SPARC backend doesn't appear to have a 
+ *  As of gcc 4.2.2, the gcc SPARC backend doesn't appear to have a
  *  way to call this for RTEMS anymore but it doesn't hurt to leave it.
  */
Index: cpukit/posix/src/mqueuetimedreceive.c
===================================================================
--- cpukit/posix/src/mqueuetimedreceive.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/mqueuetimedreceive.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -70,5 +70,5 @@
    *  status into the appropriate error.
    *
-   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID, 
+   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID,
    *  POSIX_ABSOLUTE_TIMEOUT_IS_IN_PAST, or POSIX_ABSOLUTE_TIMEOUT_IS_NOW,
    *  then we should not wait.
Index: cpukit/posix/src/mqueuetimedsend.c
===================================================================
--- cpukit/posix/src/mqueuetimedsend.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/mqueuetimedsend.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -70,5 +70,5 @@
    *  status into the appropriate error.
    *
-   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID, 
+   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID,
    *  POSIX_ABSOLUTE_TIMEOUT_IS_IN_PAST, or POSIX_ABSOLUTE_TIMEOUT_IS_NOW,
    *  then we should not wait.
Index: cpukit/posix/src/mutexget.c
===================================================================
--- cpukit/posix/src/mutexget.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/mutexget.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -59,5 +59,5 @@
     } \
   } while (0)
- 
+
 POSIX_Mutex_Control *_POSIX_Mutex_Get (
   pthread_mutex_t   *mutex,
Index: cpukit/posix/src/mutextimedlock.c
===================================================================
--- cpukit/posix/src/mutextimedlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/mutextimedlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -57,5 +57,5 @@
    *  status into the appropriate error.
    *
-   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID, 
+   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID,
    *  POSIX_ABSOLUTE_TIMEOUT_IS_IN_PAST, or POSIX_ABSOLUTE_TIMEOUT_IS_NOW,
    *  then we should not wait.
@@ -65,5 +65,5 @@
     do_wait = false;
 
-  lock_status = _POSIX_Mutex_Lock_support( mutex, do_wait, ticks ); 
+  lock_status = _POSIX_Mutex_Lock_support( mutex, do_wait, ticks );
   /*
    *  This service only gives us the option to block.  We used a polling
Index: cpukit/posix/src/posixtimespecabsolutetimeout.c
===================================================================
--- cpukit/posix/src/posixtimespecabsolutetimeout.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/posixtimespecabsolutetimeout.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -43,5 +43,5 @@
   struct timespec difference;
 
-  
+
   /*
    *  Make sure there is always a value returned.
Index: cpukit/posix/src/prwlockrdlock.c
===================================================================
--- cpukit/posix/src/prwlockrdlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/prwlockrdlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -41,5 +41,5 @@
   POSIX_RWLock_Control  *the_rwlock;
   Objects_Locations      location;
-  
+
   if ( !rwlock )
     return EINVAL;
Index: cpukit/posix/src/prwlocktimedrdlock.c
===================================================================
--- cpukit/posix/src/prwlocktimedrdlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/prwlocktimedrdlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -46,5 +46,5 @@
   bool                                         do_wait = true;
   POSIX_Absolute_timeout_conversion_results_t  status;
-  
+
   if ( !rwlock )
     return EINVAL;
@@ -59,5 +59,5 @@
    *  status into the appropriate error.
    *
-   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID, 
+   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID,
    *  POSIX_ABSOLUTE_TIMEOUT_IS_IN_PAST, or POSIX_ABSOLUTE_TIMEOUT_IS_NOW,
    *  then we should not wait.
Index: cpukit/posix/src/prwlocktimedwrlock.c
===================================================================
--- cpukit/posix/src/prwlocktimedwrlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/prwlocktimedwrlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -46,5 +46,5 @@
   bool                                         do_wait = true;
   POSIX_Absolute_timeout_conversion_results_t  status;
-  
+
   if ( !rwlock )
     return EINVAL;
@@ -59,5 +59,5 @@
    *  status into the appropriate error.
    *
-   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID, 
+   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID,
    *  POSIX_ABSOLUTE_TIMEOUT_IS_IN_PAST, or POSIX_ABSOLUTE_TIMEOUT_IS_NOW,
    *  then we should not wait.
Index: cpukit/posix/src/prwlocktryrdlock.c
===================================================================
--- cpukit/posix/src/prwlocktryrdlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/prwlocktryrdlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -41,5 +41,5 @@
   POSIX_RWLock_Control  *the_rwlock;
   Objects_Locations      location;
-  
+
   if ( !rwlock )
     return EINVAL;
Index: cpukit/posix/src/prwlocktrywrlock.c
===================================================================
--- cpukit/posix/src/prwlocktrywrlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/prwlocktrywrlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -41,5 +41,5 @@
   POSIX_RWLock_Control  *the_rwlock;
   Objects_Locations      location;
-  
+
   if ( !rwlock )
     return EINVAL;
Index: cpukit/posix/src/prwlockunlock.c
===================================================================
--- cpukit/posix/src/prwlockunlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/prwlockunlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -42,5 +42,5 @@
   Objects_Locations      location;
   CORE_RWLock_Status     status;
-  
+
   if ( !rwlock )
     return EINVAL;
Index: cpukit/posix/src/prwlockwrlock.c
===================================================================
--- cpukit/posix/src/prwlockwrlock.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/prwlockwrlock.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -41,5 +41,5 @@
   POSIX_RWLock_Control  *the_rwlock;
   Objects_Locations      location;
-  
+
   if ( !rwlock )
     return EINVAL;
Index: cpukit/posix/src/psignalclearsignals.c
===================================================================
--- cpukit/posix/src/psignalclearsignals.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/psignalclearsignals.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -62,5 +62,5 @@
     signals_blocked = SIGNAL_ALL_MASK;
 
-  /* XXX is this right for siginfo type signals? */ 
+  /* XXX is this right for siginfo type signals? */
   /* XXX are we sure they can be cleared the same way? */
 
Index: cpukit/posix/src/psignalunblockthread.c
===================================================================
--- cpukit/posix/src/psignalunblockthread.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/psignalunblockthread.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -92,5 +92,5 @@
      *        we unblock the thread.
      *    + If it is in the ready state AND
-     *      we are sending from an ISR AND 
+     *      we are sending from an ISR AND
      *      it is the interrupted thread AND
      *      it is not blocked, THEN
@@ -98,5 +98,5 @@
      *    + Any other combination, do nothing.
      */
-    
+
     the_thread->do_post_task_switch_extension = true;
 
Index: cpukit/posix/src/pspininit.c
===================================================================
--- cpukit/posix/src/pspininit.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/pspininit.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -44,5 +44,5 @@
   POSIX_Spinlock_Control   *the_spinlock;
   CORE_spinlock_Attributes  attributes;
-  
+
 
   if ( !spinlock )
Index: cpukit/posix/src/psxtransschedparam.c
===================================================================
--- cpukit/posix/src/psxtransschedparam.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/psxtransschedparam.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -64,5 +64,5 @@
     if ( !_POSIX_Priority_Is_valid( param->ss_low_priority ) )
       return EINVAL;
-    
+
     *budget_algorithm  = THREAD_CPU_BUDGET_ALGORITHM_CALLOUT;
     *budget_callout = _POSIX_Threads_Sporadic_budget_callout;
Index: cpukit/posix/src/pthreadcreate.c
===================================================================
--- cpukit/posix/src/pthreadcreate.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/pthreadcreate.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -213,5 +213,5 @@
     /*
      *  _Thread_Start only fails if the thread was in the incorrect state
-     *  
+     *
      *  NOTE: This can only happen if someone slips in and touches the
      *        thread while we are creating it.
Index: cpukit/posix/src/pthreadexit.c
===================================================================
--- cpukit/posix/src/pthreadexit.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/pthreadexit.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -36,5 +36,5 @@
 
   /*
-   * The_information has to be non-NULL.  Otherwise, we couldn't be 
+   * The_information has to be non-NULL.  Otherwise, we couldn't be
    * running in a thread of this API and class.
    *
@@ -43,8 +43,8 @@
    *       we unlock, we want to defer the context switch until we
    *       are ready to be switched out.  Otherwise, an ISR could
-   *       occur and preempt us out while we still hold the 
+   *       occur and preempt us out while we still hold the
    *       allocator mutex.
    */
-  
+
   _RTEMS_Lock_allocator();
     _Thread_Disable_dispatch();
Index: cpukit/posix/src/semtimedwait.c
===================================================================
--- cpukit/posix/src/semtimedwait.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/semtimedwait.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -54,5 +54,5 @@
    *  status into the appropriate error.
    *
-   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID, 
+   *  If the status is POSIX_ABSOLUTE_TIMEOUT_INVALID,
    *  POSIX_ABSOLUTE_TIMEOUT_IS_IN_PAST, or POSIX_ABSOLUTE_TIMEOUT_IS_NOW,
    *  then we should not wait.
Index: cpukit/posix/src/setcanceltype.c
===================================================================
--- cpukit/posix/src/setcanceltype.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/setcanceltype.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -58,5 +58,5 @@
 
     _POSIX_Thread_Evaluate_cancellation_and_enable_dispatch(_Thread_Executing);
- 
+
   /*
    *  _Thread_Enable_dispatch is invoked by above call.
Index: cpukit/posix/src/sigtimedwait.c
===================================================================
--- cpukit/posix/src/sigtimedwait.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/sigtimedwait.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -80,5 +80,5 @@
   if ( !set )
     rtems_set_errno_and_return_minus_one( EINVAL );
-  
+
   /*  NOTE: This is very specifically a RELATIVE not ABSOLUTE time
    *        in the Open Group specification.
Index: cpukit/posix/src/sysconf.c
===================================================================
--- cpukit/posix/src/sysconf.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/sysconf.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -43,5 +43,5 @@
   if ( name == _SC_GETPW_R_SIZE_MAX )
     return 1024;
-  
+
   if ( name == _SC_PAGESIZE )
     return PAGE_SIZE;
Index: cpukit/posix/src/timercreate.c
===================================================================
--- cpukit/posix/src/timercreate.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/timercreate.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -37,8 +37,8 @@
   if ( clock_id != CLOCK_REALTIME )
     rtems_set_errno_and_return_minus_one( EINVAL );
- 
+
   if ( !timerid )
     rtems_set_errno_and_return_minus_one( EINVAL );
- 
+
  /*
   *  The data of the structure evp are checked in order to verify if they
Index: cpukit/posix/src/timersettime.c
===================================================================
--- cpukit/posix/src/timersettime.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/timersettime.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -51,5 +51,5 @@
     rtems_set_errno_and_return_minus_one( EINVAL );
   }
-  
+
   if ( flags != TIMER_ABSTIME && flags != POSIX_TIMER_RELATIVE ) {
     rtems_set_errno_and_return_minus_one( EINVAL );
@@ -63,6 +63,6 @@
     _TOD_Get( &now );
     /* Check for seconds in the past */
-    if ( _Timespec_Greater_than( &now, &normalize.it_value ) ) 
-      rtems_set_errno_and_return_minus_one( EINVAL ); 
+    if ( _Timespec_Greater_than( &now, &normalize.it_value ) )
+      rtems_set_errno_and_return_minus_one( EINVAL );
     _Timespec_Subtract( &now, &normalize.it_value, &normalize.it_value );
   }
@@ -96,6 +96,6 @@
        ptimer->ticks  = _Timespec_To_ticks( &value->it_interval );
        initial_period = _Timespec_To_ticks( &normalize.it_value );
-       
-        
+
+
        activated = _POSIX_Timer_Insert_helper(
          &ptimer->Timer,
Index: cpukit/posix/src/ualarm.c
===================================================================
--- cpukit/posix/src/ualarm.c	(revision 524ff1cf45aa781e6ccd6e9903f184bb9acc1428)
+++ cpukit/posix/src/ualarm.c	(revision 1de949a8bda2912d663ad3b296fec0f1a9b03c46)
@@ -41,8 +41,8 @@
    */
   (void) kill( getpid(), SIGALRM );
-  
+
   /*
    * If the reset interval is non-zero, reschedule ourselves.
-   */ 
+   */
   _Watchdog_Reset( &_POSIX_signals_Ualarm_timer );
 }
@@ -99,5 +99,5 @@
     ticks = _Timespec_To_ticks( &tp );
     if ( ticks == 0 )
-      ticks = 1; 
+      ticks = 1;
 
     _Watchdog_Insert_ticks( the_timer, _Timespec_To_ticks( &tp ) );