Index: bsps/arm/atsam/headers.am
===================================================================
--- bsps/arm/atsam/headers.am	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ bsps/arm/atsam/headers.am	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
@@ -0,0 +1,269 @@
+## This file was generated by "./boostrap -H".
+
+include_HEADERS =
+include_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp.h
+include_HEADERS += include/bspopts.h
+include_HEADERS += ../../../../../../bsps/arm/atsam/include/tm27.h
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS =
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/atsam-clock-config.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/atsam-i2c.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/atsam-spi.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/i2c.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/irq.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/pin-config.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/power.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/sc16is752.h
+include_bsp_HEADERS += ../../../../../../bsps/arm/atsam/include/bsp/spi.h
+
+include_libchipdir = $(includedir)/libchip
+include_libchip_HEADERS =
+include_libchip_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/chip.h
+include_libchip_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/compiler.h
+
+include_libchip_includedir = $(includedir)/libchip/include
+include_libchip_include_HEADERS =
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/acc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/adc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/aes.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/afe_dma.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/afec.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/chip.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/dac_dma.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/efc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/exceptions.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/flashd.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/gmac.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/gmacd.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/hsmci.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/icm.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/isi.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/iso7816_4.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/mcan.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/mcid.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/mediaLB.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/mpu.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/pio.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/pio_capture.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/pio_it.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/pmc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/pwmc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/qspi.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/qspi_dma.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/rstc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/rtc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/rtt.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sdramc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/smc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/spi.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/spi_dma.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/ssc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/supc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/tc.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/timetick.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/trace.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/trng.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/twi.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/twid.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/uart.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/uart_dma.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/usart.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/usart_dma.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/usbhs.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/video.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/wdt.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/xdma_hardware_interface.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/xdmac.h
+include_libchip_include_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/xdmad.h
+
+include_libchip_include_same70dir = $(includedir)/libchip/include/same70
+include_libchip_include_same70_HEADERS =
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70j19.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70j20.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70j21.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70n19.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70n20.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70n21.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70q19.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70q20.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/same70q21.h
+include_libchip_include_same70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/system_same70.h
+
+include_libchip_include_same70_componentdir = $(includedir)/libchip/include/same70/component
+include_libchip_include_same70_component_HEADERS =
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_acc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_aes.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_afec.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_chipid.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_dacc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_efc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_gmac.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_gpbr.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_hsmci.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_icm.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_isi.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_matrix.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_mcan.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_pio.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_pmc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_pwm.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_qspi.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_rstc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_rswdt.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_rtc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_rtt.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_sdramc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_smc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_spi.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_ssc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_supc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_tc.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_trng.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_twihs.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_uart.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_usart.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_usbhs.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_utmi.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_wdt.h
+include_libchip_include_same70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/component/component_xdmac.h
+
+include_libchip_include_same70_piodir = $(includedir)/libchip/include/same70/pio
+include_libchip_include_same70_pio_HEADERS =
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70j19.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70j20.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70j21.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70n19.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70n20.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70n21.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70q19.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70q20.h
+include_libchip_include_same70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/same70/pio/pio_same70q21.h
+
+include_libchip_include_sams70dir = $(includedir)/libchip/include/sams70
+include_libchip_include_sams70_HEADERS =
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70j19.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70j20.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70j21.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70n19.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70n20.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70n21.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70q19.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70q20.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/sams70q21.h
+include_libchip_include_sams70_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/system_sams70.h
+
+include_libchip_include_sams70_componentdir = $(includedir)/libchip/include/sams70/component
+include_libchip_include_sams70_component_HEADERS =
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_acc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_aes.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_afec.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_chipid.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_dacc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_efc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_gpbr.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_hsmci.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_icm.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_isi.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_matrix.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_pio.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_pmc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_pwm.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_qspi.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_rstc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_rswdt.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_rtc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_rtt.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_sdramc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_smc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_spi.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_ssc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_supc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_tc.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_trng.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_twihs.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_uart.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_usart.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_usbhs.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_utmi.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_wdt.h
+include_libchip_include_sams70_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/component/component_xdmac.h
+
+include_libchip_include_sams70_piodir = $(includedir)/libchip/include/sams70/pio
+include_libchip_include_sams70_pio_HEADERS =
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70j19.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70j20.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70j21.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70n19.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70n20.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70n21.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70q19.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70q20.h
+include_libchip_include_sams70_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/sams70/pio/pio_sams70q21.h
+
+include_libchip_include_samv71dir = $(includedir)/libchip/include/samv71
+include_libchip_include_samv71_HEADERS =
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71j19.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71j20.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71j21.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71n19.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71n20.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71n21.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71q19.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71q20.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/samv71q21.h
+include_libchip_include_samv71_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/system_samv71.h
+
+include_libchip_include_samv71_componentdir = $(includedir)/libchip/include/samv71/component
+include_libchip_include_samv71_component_HEADERS =
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_acc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_aes.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_afec.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_chipid.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_dacc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_efc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_gmac.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_gpbr.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_hsmci.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_icm.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_isi.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_matrix.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_mcan.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_mlb.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_pio.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_pmc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_pwm.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_qspi.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_rstc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_rswdt.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_rtc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_rtt.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_sdramc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_smc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_spi.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_ssc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_supc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_tc.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_trng.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_twihs.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_uart.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_usart.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_usbhs.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_utmi.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_wdt.h
+include_libchip_include_samv71_component_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/component/component_xdmac.h
+
+include_libchip_include_samv71_piodir = $(includedir)/libchip/include/samv71/pio
+include_libchip_include_samv71_pio_HEADERS =
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71j19.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71j20.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71j21.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71n19.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71n20.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71n21.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71q19.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71q20.h
+include_libchip_include_samv71_pio_HEADERS += ../../../../../../bsps/arm/atsam/include/libchip/include/samv71/pio/pio_samv71q21.h