Index: cpukit/include/rtems/chain.h
===================================================================
--- cpukit/include/rtems/chain.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/chain.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,5 +2,7 @@
  * @file
  * 
- * @brief Chain API
+ * @ingroup RTEMSAPIClassicChains
+ *
+ * @brief This header file provides the Chains API.
  */
 
@@ -27,11 +29,13 @@
 
 /**
- * @defgroup ClassicChains Chains
+ * @defgroup RTEMSAPIClassicChains Chains
  *
  * @ingroup RTEMSAPIClassic
  *
- * @brief Chain API
- */
-/**@{**/
+ * @brief The chain container provides data structures and directives to manage
+ *   user-defined data structures in doubly-linked lists.
+ *
+ * @{
+ */
 
 typedef Chain_Node rtems_chain_node;
Index: cpukit/include/rtems/counter.h
===================================================================
--- cpukit/include/rtems/counter.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/counter.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -31,7 +31,7 @@
 
 /**
- * @defgroup ClassicCounter Free-Running Counter and Busy Wait Delay
+ * @defgroup RTEMSAPICounter Free-Running Counter and Busy Wait Delay
  *
- * @ingroup RTEMSAPIClassic
+ * @ingroup RTEMSAPI
  *
  * @brief Free-running counter and busy wait delay functions.
Index: cpukit/include/rtems/extension.h
===================================================================
--- cpukit/include/rtems/extension.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/extension.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,5 +2,5 @@
  * @file
  *
- * @ingroup ClassicUserExtensions
+ * @ingroup RTEMSImplClassicUserExt
  *
  * @brief User Extensions API.
@@ -28,5 +28,5 @@
 
 /**
- * @defgroup ClassicUserExtensions User Extensions
+ * @defgroup RTEMSAPIClassicUserExt User Extensions Manager
  *
  * @ingroup RTEMSAPIClassic
@@ -36,5 +36,5 @@
  * are invoked at critical system events.
  *
- * @section ClassicUserExtensionsSets Extension Sets
+ * @section RTEMSAPIClassicUserExtSets Extension Sets
  *
  * An @ref User_extensions_Table "extension set" is defined as a set of
@@ -76,5 +76,5 @@
  * handler is installed.
  *
- * @section ClassicUserExtensionsTCB Task Control Block Area
+ * @section RTEMSAPIClassicUserExtTCB Task Control Block Area
  *
  * RTEMS provides for a pointer to a user-defined data area for each extension
@@ -115,5 +115,5 @@
  * directives to obtain and release the extension buffers.
  *
- * @section ClassicUserExtensionsOrder Order of Invokation
+ * @section RTEMSAPIClassicUserExtOrder Order of Invokation
  *
  * When one of the critical system events occur, the user extensions are
Index: cpukit/include/rtems/ioimpl.h
===================================================================
--- cpukit/include/rtems/ioimpl.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/ioimpl.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,5 +2,8 @@
  * @file
  *
- * @brief Classic Input/Output Manager Implementation API
+ * @ingroup RTEMSImplClassicIO
+ *
+ * @brief This header file provides interfaces used by the I/O Manager
+ *   implementation.
  */
 
@@ -23,4 +26,14 @@
 extern "C" {
 #endif /* __cplusplus */
+
+/**
+ * @defgroup RTEMSImplClassicIO I/O Manager
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This group contains the I/O Manager implementation.
+ *
+ * @{
+ */
 
 extern const size_t _IO_Number_of_drivers;
@@ -59,4 +72,6 @@
 }
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: cpukit/include/rtems/profiling.h
===================================================================
--- cpukit/include/rtems/profiling.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/profiling.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,7 @@
  * @file
  *
- * @ingroup Profiling
- *
- * @brief Profiling API
+ * @ingroup RTEMSAPIProfiling
+ *
+ * @brief This header file provides the Profiling Support API.
  */
 
@@ -33,5 +33,5 @@
 
 /**
- * @defgroup Profiling Profiling Support
+ * @defgroup RTEMSAPIProfiling Profiling Support
  *
  * @ingroup RTEMSAPI
Index: cpukit/include/rtems/rbheap.h
===================================================================
--- cpukit/include/rtems/rbheap.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/rbheap.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,5 +2,7 @@
  * @file
  *
- * @brief Red-Black Tree Heap API
+ * @ingroup RTEMSAPIRBHeap
+ *
+ * @brief This header file provides the Red-Black Tree Heap API.
  */
 
@@ -31,9 +33,10 @@
 
 /**
- * @defgroup RBHeap Red-Black Tree Heap
- *
- * @ingroup RTEMSAPIClassic
- *
- * @brief Red-Black Tree Heap API.
+ * @defgroup RTEMSAPIRBHeap Red-Black Tree Heap
+ *
+ * @ingroup RTEMSAPI
+ *
+ * @brief The red-black tree heap provides a memory allocator using a red-black
+ *   tree to maintain blocks of memory.
  *
  * The red-black tree heap provides a memory allocator suitable to implement
Index: cpukit/include/rtems/rbtree.h
===================================================================
--- cpukit/include/rtems/rbtree.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/rbtree.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,10 +2,7 @@
  * @file
  * 
- * @brief Constants and Structures Associated with the RBTree API in RTEMS
- * 
- * This include file contains all the constants and structures associated
- * with the RBTree API in RTEMS. The rbtree is a Red Black Tree that
- * is part of the Super Core. This is the published interface to that
- * code.
+ * @ingroup RTEMSAPIClassicRBTrees
+ *
+ * @brief This header file provides the Red-Black Trees API.
  */
 
@@ -28,9 +25,10 @@
 
 /**
- * @defgroup ClassicRBTrees Red-Black Trees
+ * @defgroup RTEMSAPIRBTrees Red-Black Trees
  *
  * @ingroup RTEMSAPIClassic
  *
- * @brief A Red-Black Tree container.
+ * @brief The red-black tree container provides data structures and directives
+ *   to manage user-defined data structures in red-black trees.
  *
  * The red-black tree container offers no internal protection against
Index: cpukit/include/rtems/timecounter.h
===================================================================
--- cpukit/include/rtems/timecounter.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/timecounter.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,7 @@
  * @file
  *
- * @ingroup SAPITimecounter
- *
- * @brief Timecounter API
+ * @ingroup RTEMSAPIClassicTimecounter
+ *
+ * @brief This header file provides the Timecounter Support API.
  */
 
@@ -32,7 +32,10 @@
 
 /**
- * @defgroup SAPITimecounter Timecounter Support
+ * @defgroup RTEMSAPIClassicTimecounter Timecounter Support
  *
  * @ingroup RTEMSAPIClassic
+ *
+ * @brief The timecounter support provides directives to implement clock device
+ *   drivers.
  *
  * @{
Index: cpukit/include/rtems/version.h
===================================================================
--- cpukit/include/rtems/version.h	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/include/rtems/version.h	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,5 +2,7 @@
  * @file
  *
- * @brief Version API.
+ * @ingroup RTEMSAPIClassicVersion
+ *
+ * @brief This header file provides the Version API.
  */
 
@@ -30,6 +32,7 @@
  * @brief The Version API provides functions to return the version or parts of
  * the version of RTEMS you are using.
+ *
+ * @{
  */
-/**@{**/
 
 /**
Index: cpukit/sapi/src/chainappendnotify.c
===================================================================
--- cpukit/sapi/src/chainappendnotify.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/chainappendnotify.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicChains
+ * @ingroup RTEMSAPIClassicChains
  *
- * @brief rtems_chain_append_with_notification() implementation.
+ * @brief This source file contains the implementation of
+ *   rtems_chain_append_with_notification().
  */
 
Index: cpukit/sapi/src/chaingetnotify.c
===================================================================
--- cpukit/sapi/src/chaingetnotify.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/chaingetnotify.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicChains
+ * @ingroup RTEMSAPIClassicChains
  *
- * @brief rtems_chain_get_with_notification() implementation.
+ * @brief This source file contains the implementation of
+ *   rtems_chain_get_with_notification().
  */
 
Index: cpukit/sapi/src/chaingetwait.c
===================================================================
--- cpukit/sapi/src/chaingetwait.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/chaingetwait.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicChains
+ * @ingroup RTEMSAPIClassicChains
  *
- * @brief rtems_chain_get_with_wait() implementation.
+ * @brief This source file contains the implementation of
+ *   rtems_chain_get_with_wait().
  */
 
Index: cpukit/sapi/src/chainprependnotify.c
===================================================================
--- cpukit/sapi/src/chainprependnotify.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/chainprependnotify.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicChains
+ * @ingroup RTEMSAPIClassicChains
  *
- * @brief rtems_chain_prepend_with_notification() implementation.
+ * @brief This source file contains the implementation of
+ *   rtems_chain_prepend_with_notification().
  */
 
Index: cpukit/sapi/src/chainprotected.c
===================================================================
--- cpukit/sapi/src/chainprotected.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/chainprotected.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,14 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSAPIClassicChains
+ *
+ * @brief This source file contains the implementation of rtems_chain_append(),
+ *   rtems_chain_append_with_empty_check(), rtems_chain_extract(),
+ *   rtems_chain_get(), rtems_chain_get_with_empty_check(),
+ *   rtems_chain_insert(), rtems_chain_prepend(), and
+ *   rtems_chain_prepend_with_empty_check().
+ */
+
 /*
  * Copyright (c) 2013, 2016 embedded brains GmbH.  All rights reserved.
Index: cpukit/sapi/src/delaynano.c
===================================================================
--- cpukit/sapi/src/delaynano.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/delaynano.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSAPICounter
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_counter_delay_nanoseconds().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/sapi/src/delayticks.c
===================================================================
--- cpukit/sapi/src/delayticks.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/delayticks.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSAPICounter
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_counter_delay_ticks().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/sapi/src/exinit.c
===================================================================
--- cpukit/sapi/src/exinit.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/exinit.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,10 @@
  * @file
  *
- * @brief Initialization Manager
+ * @ingroup RTEMSImplClassic
  *
- * @ingroup ClassicRTEMS
+ * @brief This source file contains the definition of ::_Copyright_Notice,
+ *   ::_Objects_Information_table, the flexible per-CPU data linker set limits,
+ *   the system initialization linker set limits and the implementation of
+ *   rtems_initialize_executive().
  */
 
Index: cpukit/sapi/src/exshutdown.c
===================================================================
--- cpukit/sapi/src/exshutdown.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/exshutdown.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_shutdown_executive().
+ */
+
 /*
  *  Initialization Manager
Index: cpukit/sapi/src/extension.c
===================================================================
--- cpukit/sapi/src/extension.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/extension.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicUserExtensions
+ * @ingroup RTEMSImplClassicUserExt
  *
- * @brief Extension Manager Information with Zero Objects
+ * @brief This source file contains a definition of the
+ *   ::_Extension_Information with zero objects.
  */
 
Index: cpukit/sapi/src/extensioncreate.c
===================================================================
--- cpukit/sapi/src/extensioncreate.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/extensioncreate.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,9 @@
  * @file
  *
- * @ingroup ClassicUserExtensions
+ * @ingroup RTEMSImplClassicUserExt
  *
- * @brief User Extensions Implementation.
+ * @brief This source file contains the implementation of
+ *   rtems_extension_create() and the User Extensions Manager system
+ *   initialization.
  */
 
Index: cpukit/sapi/src/extensiondelete.c
===================================================================
--- cpukit/sapi/src/extensiondelete.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/extensiondelete.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicUserExtensions
+ * @ingroup RTEMSImplClassicUserExt
  *
- * @brief User Extensions Implementation.
+ * @brief This source file contains the implementation of
+ *   rtems_extension_delete().
  */
 
Index: cpukit/sapi/src/extensionident.c
===================================================================
--- cpukit/sapi/src/extensionident.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/extensionident.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicUserExt
  *
- * @brief rtems_extension_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_extension_ident().
  */
 
Index: cpukit/sapi/src/fatal.c
===================================================================
--- cpukit/sapi/src/fatal.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/fatal.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,8 +2,8 @@
  * @file
  *
- * @brief Invokes the internal error handler with a source of
- *        INTERNAL_ERROR_RTEMS_API and is internal set to false.
+ * @ingroup RTEMSImplClassic
  *
- * @ingroup ClassicFatal
+ * @brief This source file contains the implementation of
+ *   rtems_fatal_error_occurred().
  */
 
Index: cpukit/sapi/src/fatalsrctext.c
===================================================================
--- cpukit/sapi/src/fatalsrctext.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/fatalsrctext.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @brief Implementation of rtems_fatal_source_text()
+ * @ingroup RTEMSImplClassic
  *
- * @ingroup ClassicFatal
+ * @brief This source file contains the implementation of
+ *   rtems_fatal_source_text().
  */
 
Index: cpukit/sapi/src/getconfigmax.c
===================================================================
--- cpukit/sapi/src/getconfigmax.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/getconfigmax.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,5 +1,23 @@
+/* SPDX-License-Identifier: BSD-2-Clause */
+
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_configuration_get_maximum_barriers(),
+ *   rtems_configuration_get_maximum_extensions(),
+ *   rtems_configuration_get_maximum_message_queues(),
+ *   rtems_configuration_get_maximum_partitions(),
+ *   rtems_configuration_get_maximum_periods(),
+ *   rtems_configuration_get_maximum_ports(),
+ *   rtems_configuration_get_maximum_regions(),
+ *   rtems_configuration_get_maximum_semaphores(),
+ *   rtems_configuration_get_maximum_tasks(), and
+ *   rtems_configuration_get_maximum_timers().
+ */
+
 /*
- * SPDX-License-Identifier: BSD-2-Clause
- *
  * Copyright (C) 2018 embedded brains GmbH
  *
Index: cpukit/sapi/src/getcopyrightnotice.c
===================================================================
--- cpukit/sapi/src/getcopyrightnotice.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/getcopyrightnotice.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -4,7 +4,8 @@
  * @file
  *
- * @ingroup RTEMSAPIClassic
+ * @ingroup RTEMSImplClassic
  *
- * @brief rtems_get_copyright_notice() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_get_copyright_notice().
  */
 
Index: cpukit/sapi/src/getversionstring.c
===================================================================
--- cpukit/sapi/src/getversionstring.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/getversionstring.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @brief Get the RTEMS Version as a String
+ * @ingroup RTEMSImplClassic
  *
- * @ingroup ClassicRTEMS
+ * @brief This source file contains the implementation of
+ *   rtems_get_version_string().
  */
 
Index: cpukit/sapi/src/interrtext.c
===================================================================
--- cpukit/sapi/src/interrtext.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/interrtext.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @brief Returns a text for an internal error code.
+ * @ingroup RTEMSImplClassic
  *
- * @ingroup ClassicFatal
+ * @brief This source file contains the implementation of
+ *   rtems_internal_error_text().
  */
 
Index: cpukit/sapi/src/io.c
===================================================================
--- cpukit/sapi/src/io.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/io.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,9 @@
  * @file
  *
- * @brief Initialization of Device Drivers
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the definition of
+ *   ::_IO_All_drivers_initialized and implementation of
+ *   _IO_Initialize_all_drivers().
  */
 
Index: cpukit/sapi/src/ioclose.c
===================================================================
--- cpukit/sapi/src/ioclose.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/ioclose.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,7 @@
  * @file
  *
- * @brief Closing for The IO Manager
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the implementation of rtems_io_close().
  */
 
Index: cpukit/sapi/src/iocontrol.c
===================================================================
--- cpukit/sapi/src/iocontrol.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/iocontrol.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,7 @@
  * @file
  *
- * @brief Control for The IO Manager
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the implementation of rtems_io_control().
  */
 
Index: cpukit/sapi/src/iodefault.c
===================================================================
--- cpukit/sapi/src/iodefault.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/iodefault.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -4,8 +4,8 @@
  * @file
  *
- * @ingroup ClassicIO
+ * @ingroup RTEMSImplClassicIO
  *
- * @brief This file contains definitions of IO drivers data structures for the
- * default application configuration.
+ * @brief This source file contains a definition of ::_IO_Driver_address_table
+ *   and ::_IO_Number_of_drivers with zero drivers.
  */
 
Index: cpukit/sapi/src/ioinitialize.c
===================================================================
--- cpukit/sapi/src/ioinitialize.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/ioinitialize.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,7 @@
  * @file
  *
- * @brief IO Driver Initialization
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the implementation of rtems_io_initialize().
  */
 
Index: cpukit/sapi/src/ioopen.c
===================================================================
--- cpukit/sapi/src/ioopen.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/ioopen.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,12 +2,10 @@
  * @file
  *
- * @brief Opening for The IO Manager
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the implementation of rtems_io_open().
  */
 
 /*
- *  Input/Output Manager - Open Device
- *
  *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/sapi/src/ioread.c
===================================================================
--- cpukit/sapi/src/ioread.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/ioread.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,7 @@
  * @file
  *
- * @brief Reading for The IO Manager
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the implementation of rtems_io_read().
  */
 
Index: cpukit/sapi/src/ioregisterdriver.c
===================================================================
--- cpukit/sapi/src/ioregisterdriver.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/ioregisterdriver.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicIO
+ * @ingroup RTEMSImplClassicIO
  *
- * @brief Classic Input/Output Manager implementation.
+ * @brief This source file contains the implementation of
+ *   rtems_io_register_driver().
  */
 
Index: cpukit/sapi/src/iounregisterdriver.c
===================================================================
--- cpukit/sapi/src/iounregisterdriver.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/iounregisterdriver.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @brief Unregister a Driver from the Device Driver Table.
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the implementation of
+ *   rtems_io_unregister_driver().
  */
 
Index: cpukit/sapi/src/iowrite.c
===================================================================
--- cpukit/sapi/src/iowrite.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/iowrite.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,7 @@
  * @file
  *
- * @brief Writing for The IO Manager
+ * @ingroup RTEMSImplClassicIO
  *
- * @ingroup ClassicIO
+ * @brief This source file contains the implementation of rtems_io_write().
  */
 
Index: cpukit/sapi/src/panic.c
===================================================================
--- cpukit/sapi/src/panic.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/panic.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup ErrorPanicSupport
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_panic().
+ */
+
 /*
  * Copyright (c) 2017 embedded brains GmbH.  All rights reserved.
Index: cpukit/sapi/src/profilingiterate.c
===================================================================
--- cpukit/sapi/src/profilingiterate.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/profilingiterate.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSAPIProfiling
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_profiling_iterate().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/sapi/src/profilingreportxml.c
===================================================================
--- cpukit/sapi/src/profilingreportxml.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/profilingreportxml.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSAPIProfiling
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_profiling_report_xml().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/sapi/src/rbheap.c
===================================================================
--- cpukit/sapi/src/rbheap.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/rbheap.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,10 @@
  * @file
  *
- * @ingroup RBHeap
- *
- * @brief Red-Black Tree Heap implementation.
+ * @ingroup RTEMSAPIRBHeap
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rbheap_allocate(), rtems_rbheap_extend_descriptors_never(),
+ *   rtems_rbheap_extend_descriptors_with_malloc(), rtems_rbheap_free(), and
+ *   rtems_rbheap_initialize().
  */
 
Index: cpukit/sapi/src/rbtree.c
===================================================================
--- cpukit/sapi/src/rbtree.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/rbtree.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Initialize a Red-Black Tree
- *  @ingroup ClassicRBTrees
+ * @ingroup RTEMSAPIClassicRBTrees
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rbtree_initialize().
  */
 
Index: cpukit/sapi/src/rbtreefind.c
===================================================================
--- cpukit/sapi/src/rbtreefind.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/rbtreefind.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup RTEMSScorertems_rbtree
+ * @ingroup RTEMSAPIClassicRBTrees
  *
- * @brief Find the control structure of the tree containing the given node
+ * @brief This source file contains the implementation of
+ *   rtems_rbtree_find().
  */
 
Index: cpukit/sapi/src/sapirbtreeinsert.c
===================================================================
--- cpukit/sapi/src/sapirbtreeinsert.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/sapirbtreeinsert.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSAPIClassicRBTrees
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rbtree_insert().
+ */
+
 /*
  *  Copyright (c) 2010-2012 Gedare Bloom.
Index: cpukit/sapi/src/sysinitverbose.c
===================================================================
--- cpukit/sapi/src/sysinitverbose.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/sysinitverbose.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,5 +1,14 @@
+/* SPDX-License-Identifier: BSD-2-Clause */
+
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   _Sysinit_Verbose().
+ */
+
 /*
- * SPDX-License-Identifier: BSD-2-Clause
- *
  * Copyright (C) 2020 embedded brains GmbH
  *
Index: cpukit/sapi/src/tcsimpleinstall.c
===================================================================
--- cpukit/sapi/src/tcsimpleinstall.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/tcsimpleinstall.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSAPIClassicTimecounter
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timecounter_simple_install().
+ */
+
 /*
  * Copyright (c) 2015 embedded brains GmbH.  All rights reserved.
Index: cpukit/sapi/src/version.c
===================================================================
--- cpukit/sapi/src/version.c	(revision 9278f3d04f1e26071cb98a5e2940177abc40b6d8)
+++ cpukit/sapi/src/version.c	(revision 3db9c820e55aad1e784bf926e551a7de8dae0cdf)
@@ -2,12 +2,16 @@
  * @file
  *
- * @brief Creates the version strings from the various pieces of version
- * information. The main version number is part of the build system and is
- * stamped into rtems/score/cpuopts.h. The version control key string is
+ * @ingroup RTEMSAPIClassicVersion
+ *
+ * @brief This source file contains the implementation of rtems_version(),
+ *   rtems_version_control_key(), rtems_version_major(), rtems_version_minor(),
+ *   and rtems_version_revision().
+ *
+ * The version strings are created from the various pieces of version
+ * information.  The main version number is part of the build system and is
+ * stamped into <rtems/score/cpuopts.h>.  The version control key string is
  * extracted from the version control tool when the code is being built and is
- * updated if it has changed. The key may indicate there are local
- * modification.
- *
- * @ingroup RTEMSAPIClassicVersion
+ * updated if it has changed.  It is defined in "version-vc-key.h".  The key
+ * may indicate there are local modification.
  */
 